org.eclipse.emf.cdo.server

## Class CDOServerBrowser.LocksPage

- java.lang.Object
- - org.eclipse.emf.cdo.server.CDOServerBrowser.AbstractPage
  - - org.eclipse.emf.cdo.server.CDOServerBrowser.LocksPage

- All Implemented Interfaces:
    CDOServerBrowser.Page
  Enclosing class:
    CDOServerBrowser

      public static class CDOServerBrowser.LocksPage
      extends CDOServerBrowser.AbstractPage

  A `server browser page` that renders the locking manager contents of a repository.
  Since:
    4.2
  Author:
    Eike Stepper

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `NAME`

    - ### Fields inherited from interface org.eclipse.emf.cdo.server.CDOServerBrowser.Page

      `PRODUCT_GROUP`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LocksPage()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `canDisplay(InternalRepository repository)`
    `void` | `display(CDOServerBrowser browser, InternalRepository repository, java.io.PrintStream out)`

    - ### Methods inherited from class org.eclipse.emf.cdo.server.CDOServerBrowser.AbstractPage

      `getLabel, getName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NAME

          public static final java.lang.String NAME

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### LocksPage

          public LocksPage()

  - ### Method Detail

    - #### canDisplay

          public boolean canDisplay(InternalRepository repository)

    - #### display

          public void display(CDOServerBrowser browser,
                              InternalRepository repository,
                              java.io.PrintStream out)

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html